<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Sat Oct 17 14:57:56 CAT 2015 -->
<meta http-equiv="Content-Type" content="text/html" charset="UTF-8">
<title>Index (DHS-CLINICAL: CLIENT 1.0 API)</title>
<meta name="date" content="2015-10-17">
<link rel="stylesheet" type="text/css" href="./stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Index (DHS-CLINICAL: CLIENT 1.0 API)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="./overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="./overview-tree.html">Tree</a></li>
<li><a href="./deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="./help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="./index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="./allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#_A_">A</a>&nbsp;<a href="#_C_">C</a>&nbsp;<a href="#_L_">L</a>&nbsp;<a href="#_M_">M</a>&nbsp;<a href="#_R_">R</a>&nbsp;<a href="#_S_">S</a>&nbsp;<a href="#_Z_">Z</a>&nbsp;<a name="_A_">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><a href="./za/co/computro/config/ApplicationConfig.html" title="class in za.co.computro.config"><span class="strong">ApplicationConfig</span></a> - Class in <a href="./za/co/computro/config/package-summary.html">za.co.computro.config</a></dt>
<dd>
<div class="block">Can replace config with xml for external control (e.g.</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/config/ApplicationConfig.html#ApplicationConfig()">ApplicationConfig()</a></span> - Constructor for class za.co.computro.config.<a href="./za/co/computro/config/ApplicationConfig.html" title="class in za.co.computro.config">ApplicationConfig</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="_C_">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="./za/co/computro/client/Client.html" title="interface in za.co.computro.client"><span class="strong">Client</span></a> - Interface in <a href="./za/co/computro/client/package-summary.html">za.co.computro.client</a></dt>
<dd>
<div class="block">Basic DHS client interface</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/config/ApplicationConfig.html#client()">client()</a></span> - Method in class za.co.computro.config.<a href="./za/co/computro/config/ApplicationConfig.html" title="class in za.co.computro.config">ApplicationConfig</a></dt>
<dd>
<div class="block">Respective of set System Properties, the method returns an instance of a
 standalone client or remote / socket client.</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/client/RemoteClient.html#closeConnection()">closeConnection()</a></span> - Method in interface za.co.computro.client.<a href="./za/co/computro/client/RemoteClient.html" title="interface in za.co.computro.client">RemoteClient</a></dt>
<dd>
<div class="block">closes all open IO streams</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/client/RemoteClientImpl.html#closeConnection()">closeConnection()</a></span> - Method in class za.co.computro.client.<a href="./za/co/computro/client/RemoteClientImpl.html" title="class in za.co.computro.client">RemoteClientImpl</a></dt>
<dd>
<div class="block">Close open IO connections</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/client/RemoteClient.html#connect(java.lang.String,%20int)">connect(String, int)</a></span> - Method in interface za.co.computro.client.<a href="./za/co/computro/client/RemoteClient.html" title="interface in za.co.computro.client">RemoteClient</a></dt>
<dd>
<div class="block">Opens an IO stream between this client and the server listening on the 
 specified port of the host also provided.</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/client/RemoteClientImpl.html#connect(java.lang.String,%20int)">connect(String, int)</a></span> - Method in class za.co.computro.client.<a href="./za/co/computro/client/RemoteClientImpl.html" title="class in za.co.computro.client">RemoteClientImpl</a></dt>
<dd>
<div class="block">Attempts to connect to a remote server (Typically the DHS Clinical 
 server) running on the given host name and port number</div>
</dd>
</dl>
<a name="_L_">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="strong"><a href="./za/co/computro/config/ApplicationConfig.html#logger()">logger()</a></span> - Method in class za.co.computro.config.<a href="./za/co/computro/config/ApplicationConfig.html" title="class in za.co.computro.config">ApplicationConfig</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="_M_">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="strong"><a href="./za/co/computro/client/RunnableClient.html#main(java.lang.String[])">main(String[])</a></span> - Static method in class za.co.computro.client.<a href="./za/co/computro/client/RunnableClient.html" title="class in za.co.computro.client">RunnableClient</a></dt>
<dd>
<div class="block">Starts the client application either in remote mode or local (in which
 case the contents of a file on the local machine are retrieved)</div>
</dd>
</dl>
<a name="_R_">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="strong"><a href="./za/co/computro/client/RemoteClient.html#readResponse()">readResponse()</a></span> - Method in interface za.co.computro.client.<a href="./za/co/computro/client/RemoteClient.html" title="interface in za.co.computro.client">RemoteClient</a></dt>
<dd>
<div class="block">Read response from the connected server throw the open IO stream</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/client/RemoteClientImpl.html#readResponse()">readResponse()</a></span> - Method in class za.co.computro.client.<a href="./za/co/computro/client/RemoteClientImpl.html" title="class in za.co.computro.client">RemoteClientImpl</a></dt>
<dd>
<div class="block">Read the expected file contents or error message coming from the server</div>
</dd>
<dt><a href="./za/co/computro/client/RemoteClient.html" title="interface in za.co.computro.client"><span class="strong">RemoteClient</span></a> - Interface in <a href="./za/co/computro/client/package-summary.html">za.co.computro.client</a></dt>
<dd>
<div class="block">This interface defines the expected behavior of a remote client
 connecting to the DHS Clinical Server</div>
</dd>
<dt><a href="./za/co/computro/client/RemoteClientImpl.html" title="class in za.co.computro.client"><span class="strong">RemoteClientImpl</span></a> - Class in <a href="./za/co/computro/client/package-summary.html">za.co.computro.client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="./za/co/computro/client/RemoteClientImpl.html#RemoteClientImpl()">RemoteClientImpl()</a></span> - Constructor for class za.co.computro.client.<a href="./za/co/computro/client/RemoteClientImpl.html" title="class in za.co.computro.client">RemoteClientImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="./za/co/computro/client/Client.html#run()">run()</a></span> - Method in interface za.co.computro.client.<a href="./za/co/computro/client/Client.html" title="interface in za.co.computro.client">Client</a></dt>
<dd>
<div class="block">Define the run behavior of a DHS Clinical Client application</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/client/RemoteClientImpl.html#run()">run()</a></span> - Method in class za.co.computro.client.<a href="./za/co/computro/client/RemoteClientImpl.html" title="class in za.co.computro.client">RemoteClientImpl</a></dt>
<dd>
<div class="block">Runs the DHS client in remote mode</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/client/StandaloneClient.html#run()">run()</a></span> - Method in class za.co.computro.client.<a href="./za/co/computro/client/StandaloneClient.html" title="class in za.co.computro.client">StandaloneClient</a></dt>
<dd>
<div class="block">Runs as a standalone client</div>
</dd>
<dt><a href="./za/co/computro/client/RunnableClient.html" title="class in za.co.computro.client"><span class="strong">RunnableClient</span></a> - Class in <a href="./za/co/computro/client/package-summary.html">za.co.computro.client</a></dt>
<dd>
<div class="block">Entry point for the client application</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/client/RunnableClient.html#RunnableClient()">RunnableClient()</a></span> - Constructor for class za.co.computro.client.<a href="./za/co/computro/client/RunnableClient.html" title="class in za.co.computro.client">RunnableClient</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="_S_">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="strong"><a href="./za/co/computro/client/RemoteClient.html#sendRequest(java.lang.String)">sendRequest(String)</a></span> - Method in interface za.co.computro.client.<a href="./za/co/computro/client/RemoteClient.html" title="interface in za.co.computro.client">RemoteClient</a></dt>
<dd>
<div class="block">Send request to connected server throw the open IO stream
 The request includes the fileName on the server machine of which
 the contents will be feed back to the client</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/client/RemoteClientImpl.html#sendRequest(java.lang.String)">sendRequest(String)</a></span> - Method in class za.co.computro.client.<a href="./za/co/computro/client/RemoteClientImpl.html" title="class in za.co.computro.client">RemoteClientImpl</a></dt>
<dd>
<div class="block">Send the provided fileName to the server through the open IO stream</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/client/RemoteClientImpl.html#setFileName(java.lang.String)">setFileName(String)</a></span> - Method in class za.co.computro.client.<a href="./za/co/computro/client/RemoteClientImpl.html" title="class in za.co.computro.client">RemoteClientImpl</a></dt>
<dd>
<div class="block">Setter for ApplicationConfig to be able to set the fileName</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/client/StandaloneClient.html#setFileName(java.lang.String)">setFileName(String)</a></span> - Method in class za.co.computro.client.<a href="./za/co/computro/client/StandaloneClient.html" title="class in za.co.computro.client">StandaloneClient</a></dt>
<dd>
<div class="block">Setter for ApplicationConfig to be able to set the fileName</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/client/RemoteClientImpl.html#setHost(java.lang.String)">setHost(String)</a></span> - Method in class za.co.computro.client.<a href="./za/co/computro/client/RemoteClientImpl.html" title="class in za.co.computro.client">RemoteClientImpl</a></dt>
<dd>
<div class="block">Setter for ApplicationConfig to be able to set the host name</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/client/RemoteClientImpl.html#setPort(int)">setPort(int)</a></span> - Method in class za.co.computro.client.<a href="./za/co/computro/client/RemoteClientImpl.html" title="class in za.co.computro.client">RemoteClientImpl</a></dt>
<dd>
<div class="block">Setter for ApplicationConfig to be able to set the port number</div>
</dd>
<dt><a href="./za/co/computro/client/StandaloneClient.html" title="class in za.co.computro.client"><span class="strong">StandaloneClient</span></a> - Class in <a href="./za/co/computro/client/package-summary.html">za.co.computro.client</a></dt>
<dd>
<div class="block">Implements a standalone version of the DHS Clinical System</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/client/StandaloneClient.html#StandaloneClient()">StandaloneClient()</a></span> - Constructor for class za.co.computro.client.<a href="./za/co/computro/client/StandaloneClient.html" title="class in za.co.computro.client">StandaloneClient</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="_Z_">
<!--   -->
</a>
<h2 class="title">Z</h2>
<dl>
<dt><a href="./za/co/computro/client/package-summary.html">za.co.computro.client</a> - package za.co.computro.client</dt>
<dd>&nbsp;</dd>
<dt><a href="./za/co/computro/config/package-summary.html">za.co.computro.config</a> - package za.co.computro.config</dt>
<dd>&nbsp;</dd>
</dl>
<a href="#_A_">A</a>&nbsp;<a href="#_C_">C</a>&nbsp;<a href="#_L_">L</a>&nbsp;<a href="#_M_">M</a>&nbsp;<a href="#_R_">R</a>&nbsp;<a href="#_S_">S</a>&nbsp;<a href="#_Z_">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="./overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="./overview-tree.html">Tree</a></li>
<li><a href="./deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="./help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="./index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="./allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2015. All rights reserved.</small></p>
</body>
</html>
